--- title: "Get image" slug: "sens-brandmessage-image-get" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-brandmessage-image-get" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get image Available in Classic and VPC Get image details. Note Images are stored for up to one year and are automatically deleted thereafter. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /brandmessage/v2/services/{serviceId}/images/{imageId} | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Biz Message service ID - See [Get project list](/docs/en/sens-project-list). | | `imageId` | String | Required | Image ID - See [Get image list](/docs/en/sens-brandmessage-image-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/brandmessage/v2/services/ncp:kkobizmsg:kr:27*********6:sens/images/5b19970c-****-****-****-c8ec1cd8f37e' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `imageId` | String | - | Image ID | | `imageUrl` | String | - | Image URL | | `imageType` | String | - | Image file type - See [Image type information](/docs/en/sens-brandmessage-image-create#%EC%9D%B4%EB%AF%B8%EC%A7%80%ED%83%80%EC%9E%85). | | `imageName` | String | - | Image file name | | `createTime` | String | - | Image uploading time | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "imageId": "5b19970c-****-****-****-c8ec1cd8f37e", "imageUrl": "https://mud-kage.kakao.com/dn/dhkJRb/***********/**********************/img_l.jpg", "imageType": "BASIC", "imageName": "myImage.jpg", "createTime": "2025-11-27T17:29:06.253" } ```